<?php

require_once("common.function.php");
init();

$error = false;
$mes   = "";

if(isset($_GET["dir"]) && $_GET["dir"] != ""){
  $dirName = htmlSpc($_GET['dir']);
  $dirPath = "../".$dirName."/";
} else {
  $error = true;
  $mes   .= "Error : The value of the argument \"dir\" is incorrect.<br>\n";
}

if(!$error){
  if(!is_dir($dirPath)){
    $error = true;
    $mes   .= "Error : Failed to open directory<br>\n";
  }
}

if(!$error){
  $csvDirPath    = $dirPath."list-folder.csv";
  if(!is_file($csvDirPath)){
    $error = true;
    $mes   .= "Error : Failed to open \"list-folder.csv\"<br>\n";
  }
  $csvFilesPath  = $dirPath."list-files.csv";
  if(!is_file($csvFilesPath)){
    $error = true;
    $mes   .= "Error : Failed to open \"list-files.csv\"<br>\n";
  }
}

if(!$error){
  include("common.class.php");
  $obj = new ItemNode($dirName,$dirPath,$csvDirPath,$csvFilesPath);
  $obj->ItemList();
  //XMLϳ

  //2009-09-08 http://www.mybenjo.net/ PHP4XMLϥСˤäƿ᤮ΤǷǤǺ

  $xml = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>";
  $xml.= "<channel>";
  for($i=0; $i < count($obj->fileListName); $i++) {
    $xml.= "<directory>";
    $xml.= "<name>".nl2br($obj->dirListName[$i])."</name>";
    $xml.= "<files>";
    for($j = 0; $j < count($obj->fileListName[$i]); $j++) {
      list($width, $height, $type) = getimagesize($dirPath.$obj->dirListRslt[$i]."/".$obj->fileListName[$i][$j]);
      $xml.= "<item>";
      $xml.= "<title>"       .$obj->fileListName[$i][$j]                                        ."</title>";
      $xml.= "<description>" .$obj->fileListDsrc[$i][$j]                                        ."</description>";
      $xml.= "<link>"        .$dirName."/".$obj->dirListRslt[$i]."/".$obj->fileListName[$i][$j] ."</link>";
      $xml.= "<width>"       .$width                                                             ."</width>";
      $xml.= "<height>"      .$height                                                            ."</height>";
      $xml.= "<type>"        .$type                                                              ."</type>";
      $xml.= "</item>";
    }
    $xml.= "</files>";
    $xml.= "</directory>";
  }
  $xml.= "</channel>";

/* Υ
  $xml = new stdClass;
  $xml->dom = new DOMDocument('1.0','UTF-8');
  $xml->dom->formatOutput = ture;
  $xml->channel = $xml->dom->appendChild($xml->dom->createElement('channel'));
  for($i=0; $i < count($obj->fileListName); $i++){
    $xml->directory  = $xml->channel->appendChild($xml->dom->createElement('directory'));
    $xml->name       = $xml->directory->appendChild($xml->dom->createElement('name'));
    $xml->name->node = $xml->name->appendChild($xml->dom->createTextNode(nl2br($obj->dirListName[$i])));
    $xml->files      = $xml->directory->appendChild($xml->dom->createElement('files'));
    //ƥեΥΡɽ
    for($j = 0; $j < count($obj->fileListName[$i]); $j++){
      $xml->item         = $xml->files->appendChild($xml->dom->createElement('item'));
      $xml->title        = $xml->item->appendChild($xml->dom->createElement('title'));
      $xml->title->node  = $xml->title->appendChild($xml->dom->createTextNode($obj->fileListName[$i][$j]));
      $xml->dscr         = $xml->item->appendChild($xml->dom->createElement('description'));
      $xml->dscr->node   = $xml->dscr->appendChild($xml->dom->createTextNode($obj->fileListDsrc[$i][$j]));
      $xml->link         = $xml->item->appendChild($xml->dom->createElement('link'));
      $xml->link->node   = $xml->link->appendChild($xml->dom->createTextNode($dirName."/".$obj->dirListRslt[$i]."/".$obj->fileListName[$i][$j]));
      $xml->path = $dirPath.$obj->dirListRslt[$i]."/".$obj->fileListName[$i][$j];
      list($width, $height, $type) = getimagesize($xml->path);
      $xml->width        = $xml->item->appendChild($xml->dom->createElement('width'));
      $xml->width->node  = $xml->width->appendChild($xml->dom->createTextNode($width));
      $xml->height       = $xml->item->appendChild($xml->dom->createElement('height'));
      $xml->height->node = $xml->height->appendChild($xml->dom->createTextNode($height));
      $xml->type         = $xml->item->appendChild($xml->dom->createElement('type'));
      $xml->type->node   = $xml->type->appendChild($xml->dom->createTextNode($type));
    }
  }
*/

  header('Content-Type: application/xml');
  header("Cache-control: no-cache");
//  echo $xml->dom->saveXML();
  echo $xml;
  //XMLϤޤ
}

if($error) {
  echo "Error<br>{$mes}";
}

?>