<?php

//2009-09-08 http://www.mybenjo.net/ PHP4のscandirが無いので代用関数を用意
function scandir($dir) {
	$dh  = opendir($dir);
	while (false !== ($filename = readdir($dh))) {
	    $files[] = $filename;
	}
	return $files;
}

//文字コード→utf-8
function init() {
  mb_language('Japanese');
  ini_set('mbstring.detect_order', 'auto');
  ini_set('mbstring.http_input'  , 'auto');
  ini_set('mbstring.http_output' , 'pass');
  ini_set('mbstring.internal_encoding', 'UTF-8');
  ini_set('mbstring.script_encoding'  , 'UTF-8');
  ini_set('mbstring.substitute_character', 'none');
  mb_regex_encoding('UTF-8');
}

//エンコード→utf-8
function convertEnc($str) {
  return mb_convert_encoding($str ,"utf-8", "auto");
}

//htmlspecialchars
function htmlSpc($str){
  if(is_array($str)){
    return array_map("h",$str);
  }else{
    return htmlspecialchars($str,ENT_QUOTES);
  }
}

//fgetcsv文字化け対策
//referred to: http://yossy.iimp.jp/wp/?p=56
function fgetcsv_reg (&$handle, $length = null, $d = ',', $e = '"') {
  $d = preg_quote($d);
  $e = preg_quote($e);
  $_line = "";
  while (($eof != true) and (!feof($handle))) {
  //while ($eof != true) {
    $_line .= (empty($length) ? fgets($handle) : fgets($handle, $length));
    $itemcnt = preg_match_all('/'.$e.'/', $_line, $dummy);
    if ($itemcnt % 2 == 0) $eof = true;
  }
  $_csv_line = preg_replace('/(?:\r\n|[\r\n])?$/', $d, trim($_line));
  $_csv_pattern = '/('.$e.'[^'.$e.']*(?:'.$e.$e.'[^'.$e.']*)*'.$e.'|[^'.$d.']*)'.$d.'/';
  preg_match_all($_csv_pattern, $_csv_line, $_csv_matches);
  $_csv_data = $_csv_matches[1];
  for($_csv_i=0;$_csv_i<count($_csv_data);$_csv_i++){
    $_csv_data[$_csv_i]=preg_replace('/^'.$e.'(.*)'.$e.'$/s','$1',$_csv_data[$_csv_i]);
    $_csv_data[$_csv_i]=str_replace($e.$e, $e, $_csv_data[$_csv_i]);
  }
  return empty($_line) ? false : $_csv_data;
}

?>